# Uses of Class
com.databricks.jdbc.exception.DatabricksValidationException

Packages that use DatabricksValidationException
Package
Description
com.databricks.jdbc.api.impl.batch
com.databricks.jdbc.common.util

## Uses of DatabricksValidationException in com.databricks.jdbc.api.impl.batch

Methods in com.databricks.jdbc.api.impl.batch that throw DatabricksValidationException
Modifier and Type
Method
Description
`void`
DatabricksBatchExecutor.`addCommand(String sql)`
Adds a new SQL command to the batch.

## Uses of DatabricksValidationException in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that throw DatabricksValidationException
Modifier and Type
Method
Description
`static String`
SQLInterpolator.`interpolateSQL(String sql, Map<Integer,ImmutableSqlParameter> params)`
Interpolates the given SQL string by replacing placeholders with the provided parameters.
`static void`
DriverUtil.`resolveMetadataClient(IDatabricksConnectionInternal connection)`